import flash.display.BitmapData;
import flash.filters.BlurFilter;
import flash.filters.DropShadowFilter;
import flash.filters.GlowFilter;
import flash.geom.Matrix;

dynamic class Thumbnail extends MovieClip3D
{
	public var preloadMC:MovieClip; 
	public var BigImageURL:String;
	public var imageBox:ImageBox;
	function Thumbnail(imageURL:String, biggerImageURL:String)
	{
		this.BigImageURL = biggerImageURL;
		var thumbBox:ImageBox = new ImageBox(imageURL, 64, 64, this.base);
		this.imageBox = thumbBox;
		this.preloadMC = this.base.createEmptyMovieClip("preloader", this.base.getNextHighestDepth());
		this.preloadMC._visible = false;
		//-----
		this.base.parentClass = this; 
		this.base.onRollOver = function(){
			if (_root.imageActive) return; 
			this.parentClass.ZIndexAddition = 999;
			this.parentClass.Z = -10;
		}
		this.base.onRollOut = function(){
			if (_root.imageActive) return; 
			this.parentClass.ZIndexAddition = 0;
			this.parentClass.Z = 0;
		}
		this.base.onPress = function(){
			if (_root.imageActive) return; 
			this.parentClass.Z = -15;
			_root.kallery.ShowPicture(this.parentClass); 
		}
	}
	public function ShowLoadingProgress(percentage:Number):Void{
		this.preloadMC.clear();
		this.preloadMC._visible = true;
		var xStop = 64 * (percentage / 100) + 1;
		this.preloadMC.moveTo(-1,01);
		this.preloadMC.beginFill(0x000000, 50);
		this.preloadMC.lineTo(xStop, -1);
		this.preloadMC.lineTo(xStop, 64);
		this.preloadMC.lineTo(-1, 64);
		this.preloadMC.lineTo(-1, -1);
		this.preloadMC.endFill();
	}
	public function HidePreloader(){
		this.preloadMC._visible = false;
	}
}
