
class Easing
{
	public static var Spring = { 
		init: function(sender:MovieClip3D, params:Object){
			if (sender.zChange == null) sender.zChange = 0;
			sender.inertia = params.inertia;
		},
		performEase: function(movieClip3D:MovieClip3D){
			movieClip3D.easing = true;
			var springiness = 0.7;
			var distance = movieClip3D.Z - movieClip3D._Z;
			movieClip3D.zChange = movieClip3D.zChange * movieClip3D.inertia + distance * springiness;
			movieClip3D._Z += movieClip3D.zChange;
		}
	};
}
